#include "stdafx.h"
#include "3App.h"	// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

MC3App::MC3App ()
{
} // MC3App::MC3App.

MC3App::~MC3App ()
{
} // MC3App::~MC3App.

void MC3App::InStream (CArchive& ar)
{
	//----- _xZkqqHx_iDhGiDiKiDjDiDfOiPoOjFpBiCmMjDmHiCnNiNjOiCnNiPiIjHjN_xHqqkZx_ -----
	WORD wDevNamesSz;
	ar >> wDevNamesSz;
	m_vDevNames.resize(wDevNamesSz);
	if (wDevNamesSz != 0)
	{
		ar.Read(&m_vDevNames.front(), (long)m_vDevNames.size());
	}
	WORD wDevModeSz;
	ar >> wDevModeSz;
	m_vDevMode.resize(wDevModeSz);
	if (wDevModeSz != 0)
	{
		ar.Read(&m_vDevMode.front(), (long)m_vDevMode.size());
	}
} // MC3App::InStream.

void MC3App::OutStream (CArchive& ar)
{
	//----- _xZkqqHx_iDhGiDiKiDjDiDfOiPoOjFpBiCmMjDmHiCnNiNjOiCnNiPiIjHjN_xHqqkZx_ -----
	ar << WORD(m_vDevNames.size());
	if (!m_vDevNames.empty())
	{
		ar.Write(&m_vDevNames.front(), (long)m_vDevNames.size());
	}
	ar << WORD(m_vDevMode.size());
	if (!m_vDevMode.empty())
	{
		ar.Write(&m_vDevMode.front(), (long)m_vDevMode.size());
	}
} // MC3App::OutStream.

